%define debug_package %{nil}

Name:    moeingevm
Version: 0.1
Release: 0.0.git.133.55b55c1%{?dist}
Summary: A parallelized execution engine which manages multiple EVM

License:    ASL 2.0
URL:        https://github.com/smartbch/moeingevm
VCS:        git+https://github.com/hegjon/moeingevm.git#55b55c126668db66bd7b2b10f3eb058a0e213ae1:

Source:     moeingevm-0.0.git.133.55b55c1.tar.gz

BuildRequires: make
BuildRequires: gcc-g++

%description
MoeingEVM is a parallelized execution engine which manages multiple EVM contexts
and executes multiple transactions concurrently.

%prep
%setup -q -n moeingevm-0.0.git.133.55b55c1

%build
pushd evmwrap
%make_build
popd

%install
install -D -m 755 ./evmwrap/host_bridge/libevmwrap.so %{buildroot}%{_libdir}/libevmwrap.so

%files
%doc README.md
%license LICENSE
%{_libdir}/libevmwrap.so

%changelog

